<?php

remove_action('genesis_footer', 'genesis_do_footer');
add_action('genesis_footer', 'kathryn_do_footer');
function kathryn_do_footer() {

	echo '<div class="alignleft">';

	echo '<p class="copyright">' . do_shortcode( genesis_get_option( 'wsm_copyright', 'kathryn-settings') ) . '</p>';

	if ( has_nav_menu( 'footer' ) ) {

			$args = array(
				'theme_location' => 'footer',
				'container' => '',
				'menu_class' => genesis_get_option('nav_superfish') ? 'nav superfish' : 'nav',
				'echo' => 0
			);

			$nav = wp_nav_menu( $args );

			$nav_output = sprintf( '<div class="site-footer-nav">%2$s%1$s%3$s</div>', $nav, genesis_get_structural_wrap( 'nav', '<div class="menu-wrap">' ), genesis_get_structural_wrap( 'nav', '</div><!-- end .wrap -->' ) );
	
			echo apply_filters( 'wsm_do_footer_nav', $nav_output, $nav, $args );
		}


	echo '</div>';

	echo '<div class="alignright">';

	//echo '<p class="creds">Kathryn is a Premium WordPress Theme Built on Genesis</p>';

	echo '<p class="creds">' . do_shortcode( genesis_get_option( 'wsm_creds', 'kathryn-settings') ) . '</p>';

	echo '</div>
	';
}