<?php
// For legacy Genesis pre-1.7
do_action( 'genesis_home' );


// Remove the standard loop
remove_action( 'genesis_loop', 'genesis_do_loop' );


add_action( 'genesis_after_header', 'wsm_home_top_slider' );
	function wsm_home_top_slider() {
	echo '<div class="slider"><div class="wrap">';
	echo '<aside class="home-top-left">';
	echo '<div class="custom-text">' . genesis_get_option( 'wsm_home_tagline', 'kathryn-settings' ) . '</div>';
	echo ' <div class="more-link"><a href="' . genesis_get_option( 'wsm_home_morelink', 'kathryn-settings' ) . '"> ' . genesis_get_option( 'wsm_home_moretext', 'kathryn-settings' ) . ' </a></div>';
	echo '</aside> <!-- end .home-top-left -->';
	genesis_widget_area( 'rotator', array( 'before' => '<aside class="home-top-right widget-area">', 'after' => '</aside>' ) );
	echo '</div></div> <!-- end .home-top -->';
}


// Execute custom child loop
add_action( 'genesis_loop', 'wsm_home_loop_helper' );
function wsm_home_loop_helper() {
	genesis_widget_area( 'home-cta', array( 'before' => '<aside class="home-cta widget-area">', 'after' => '</aside>' ) );
	genesis_widget_area( 'home-main-content', array( 'before' => '<div class="home-main-content widget-area">', 'after' => '</div>' ) );
}


genesis();